#
# Conditional build:
%bcond_without	tests	# build without tests
%bcond_without	doc		# build doc

Summary:	Terminfo parsing library
Name:		unibilium
Version:	1.2.0
Release:	1
License:	LGPLv3+
Group:		Libraries
Source0:	https://github.com/mauke/unibilium/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9b1c97839a880a373da6c097443b43c4
URL:		https://github.com/mauke/unibilium
BuildRequires:	gcc
BuildRequires:	libtool
BuildRequires:	pkgconfig
%if %{with doc}
BuildRequires:	/usr/bin/pod2man
%endif
%if %{with tests}
BuildRequires:	/usr/bin/prove
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unibilium is a very basic terminfo library. It doesn't depend on
curses or any other library. It also doesn't use global variables, so
it should be thread-safe.

%package devel
Summary:	Development files needed for %{name}
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files needed for %{name}.

%prep
%setup -q

%build
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}" \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir}

%if %{with tests}
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	PREFIX=%{_prefix} \
	LIBDIR=%{_libdir} \
	DESTDIR=$RPM_BUILD_ROOT

rm -vf $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc Changes
%attr(755,root,root) %{_libdir}/libunibilium.so.*.*.*
%ghost %{_libdir}/libunibilium.so.0

%files devel
%defattr(644,root,root,755)
%{_libdir}/libunibilium.so
%{_pkgconfigdir}/unibilium.pc
%{_includedir}/%{name}.h
%{_mandir}/man3/unibi_*.3*
%{_mandir}/man3/unibilium.h.3*
%changelog
* Sat Sep 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/unibilium.git;a=log;h=master

* Tue Sep 13 2016 Elan Ruusamäe <glen@delfi.ee> 732979c
- use CFLAGS/LDFLAGS

* Tue Sep 13 2016 Elan Ruusamäe <glen@delfi.ee> 7615085
- BR pkgconfig

* Tue Sep 13 2016 Elan Ruusamäe <glen@delfi.ee> d59490c
- new, version 1.2.0

